Home
Docs
GitHub
Pricing
Blog
Log In

Run Sandworm Audit for your App

Get started
Generated on Jun 15, 2024 via pnpm

babel-minify-webpack-plugin 0.3.1

babel-minify plugin for webpack
Package summary
Share
17
issues
1
critical severity
vulnerability
1
12
high severity
vulnerability
3
meta
9
4
moderate severity
meta
4
8
licenses
345
MIT
36
ISC
8
BSD-2-Clause
10
other licenses
BSD-3-Clause
6
Apache-2.0
1
(MIT OR Apache-2.0)
1
(MIT AND Zlib)
1
+ 1 more
Package created
30 Aug 2016
Version published
19 Mar 2018
Maintainers
4
Total deps
399
Direct deps
4
License
MIT

Issues

17

12 high severity issues

high
Recommendation: Upgrade to version 5.1.2 or later
via: webpack@4.47.0
Recommendation: Upgrade to version 1.0.2 or later
via: babel-core@6.26.3
Recommendation: Upgrade to version 3.0.3 or later
via: webpack@4.47.0
via: webpack@4.47.0
via: babel-core@6.26.3
via: babel-core@6.26.3
via: webpack@4.47.0
via: webpack@4.47.0
via: webpack@4.47.0
via: webpack@4.47.0
via: webpack@4.47.0
via: webpack@4.47.0
Collapse
Expand

4 moderate severity issues

moderate
via: webpack@4.47.0
via: webpack@4.47.0
via: webpack@4.47.0
via: webpack@4.47.0
Collapse
Expand

Licenses

MIT License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
Cannot
hold-liable
Must
include-copyright
include-license
345 Packages, Including:
@webassemblyjs/ast@1.9.0
@webassemblyjs/floating-point-hex-parser@1.9.0
@webassemblyjs/helper-api-error@1.9.0
@webassemblyjs/helper-buffer@1.9.0
@webassemblyjs/helper-code-frame@1.9.0
@webassemblyjs/helper-module-context@1.9.0
@webassemblyjs/helper-wasm-bytecode@1.9.0
@webassemblyjs/helper-wasm-section@1.9.0
@webassemblyjs/ieee754@1.9.0
@webassemblyjs/leb128@1.9.0
@webassemblyjs/utf8@1.9.0
@webassemblyjs/wasm-edit@1.9.0
@webassemblyjs/wasm-gen@1.9.0
@webassemblyjs/wasm-opt@1.9.0
@webassemblyjs/wasm-parser@1.9.0
@webassemblyjs/wast-parser@1.9.0
@webassemblyjs/wast-printer@1.9.0
acorn@6.4.2
acorn@8.12.0
ajv-errors@1.0.1
ajv-keywords@3.5.2
ajv@6.12.6
ansi-regex@2.1.1
ansi-styles@2.2.1
arr-diff@4.0.0
arr-flatten@1.1.0
arr-union@3.1.0
array-unique@0.3.2
asn1.js@4.10.1
assert@1.5.1
assign-symbols@1.0.0
async-each@1.0.6
babel-code-frame@6.26.0
babel-core@6.26.3
babel-generator@6.26.1
babel-helper-evaluate-path@0.3.0
babel-helper-flip-expressions@0.3.0
babel-helper-is-nodes-equiv@0.0.1
babel-helper-is-void-0@0.3.0
babel-helper-mark-eval-scopes@0.3.0
babel-helper-remove-or-void@0.3.0
babel-helper-to-multiple-sequence-expressions@0.3.0
babel-helpers@6.24.1
babel-messages@6.23.0
babel-minify-webpack-plugin@0.3.1
babel-plugin-minify-builtins@0.3.0
babel-plugin-minify-constant-folding@0.3.0
babel-plugin-minify-dead-code-elimination@0.3.0
babel-plugin-minify-flip-comparisons@0.3.0
babel-plugin-minify-guarded-expressions@0.3.0

ISC License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
Cannot
hold-liable
Must
include-copyright
include-license
36 Packages, Including:
@webassemblyjs/helper-fsm@1.9.0
anymatch@2.0.0
anymatch@3.1.3
aproba@1.2.0
browserify-sign@4.2.3
cacache@12.0.4
chownr@1.1.4
copy-concurrently@1.0.5
figgy-pudding@3.5.2
fs-write-stream-atomic@1.0.10
fs.realpath@1.0.0
glob-parent@3.1.0
glob-parent@5.1.2
glob@7.2.3
graceful-fs@4.2.11
infer-owner@1.0.4
inflight@1.0.6
inherits@2.0.3
inherits@2.0.4
lru-cache@5.1.1
minimalistic-assert@1.0.1
minimatch@3.1.2
move-concurrently@1.0.1
once@1.4.0
parse-asn1@5.1.7
promise-inflight@1.0.1
remove-trailing-separator@1.1.0
rimraf@2.7.1
run-queue@1.0.3
semver@5.7.2
ssri@6.0.2
unique-filename@1.1.1
unique-slug@2.0.2
wrappy@1.0.2
y18n@4.0.3
yallist@3.1.1

BSD 2-Clause "Simplified" License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
place-warranty
Cannot
hold-liable
Must
include-copyright
include-license
8 Packages, Including:
eslint-scope@4.0.3
esrecurse@4.3.0
estraverse@4.3.0
estraverse@5.3.0
esutils@2.0.3
mississippi@3.0.0
terser@4.8.1
uri-js@4.4.1

BSD 3-Clause "New" or "Revised" License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
place-warranty
Cannot
use-trademark
hold-liable
Must
include-copyright
include-license
6 Packages, Including:
@xtuc/ieee754@1.2.0
ieee754@1.2.1
qs@6.12.1
serialize-javascript@4.0.0
source-map@0.5.7
source-map@0.6.1

Apache License 2.0

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
use-patent-claims
place-warranty
Cannot
hold-liable
use-trademark
Must
include-copyright
include-license
state-changes
include-notice
1 Packages, Including:
@xtuc/long@4.2.2

(MIT OR Apache-2.0)

Permissive
1 Packages, Including:
atob@2.1.2

(MIT AND Zlib)

Permissive
1 Packages, Including:
pako@1.0.11

(MIT AND BSD-3-Clause)

Permissive
1 Packages, Including:
sha.js@2.4.11
Disclaimer

This deed highlights only some of the key features and terms of the actual license. It is not a license and has no legal value. You should carefully review all of the terms and conditions of the actual license before using the licensed material.

Sandworm is not a law firm and does not provide legal services. Distributing, displaying, or linking to this deed or the license that it summarizes does not create a lawyer-client or any other relationship.

Direct Dependencies

4
All Dependencies CSV
β“˜ This is a list of babel-minify-webpack-plugin 's direct dependencies. Data on all dependencies, including transitive ones, is available via CSV download.
NameVersionSizeLicenseTypeVulnerabilities
babel-core6.26.323.21 kBMIT
prod
1
3
babel-preset-minify0.3.03.55 kBMIT
prod
webpack-sources1.4.39.39 kBMIT
prod
webpack4.47.0304.77 kBMIT
prod peer
9
4

Visualizations